﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    protected void uxSubmit_Click(object sender, EventArgs e)
    {
        uxContID.Text = "Content ID : ";
        uxContentTitle.Text = "Content Title : ";
        uxContentLanguage.Text = "ContentLanguage Id : ";
        uxMessage.Text = "";

        try
        {
            Ektron.Cms.Framework.Content.ContentManager contentManager = new Ektron.Cms.Framework.Content.ContentManager();

            if (uxInPreviewMode.Checked)
                contentManager.InPreviewMode = uxInPreviewMode.Checked;

            Ektron.Cms.ContentData cData = new Ektron.Cms.ContentData();
            Boolean returnMetadata = true;
            long contentID = long.Parse(uxContentId.Text);
            bool result = Microsoft.VisualBasic.Information.IsNumeric(uxContentId.Text);
            cData = contentManager.GetItem(contentID, returnMetadata);
            if (!((result) && cData != null))
            {
                uxContentStatus.Visible = true;
                uxMessage.Text = "Invalid content ID " + Message.DisplayModes.Error;
                //MessageUtilities.UpdateMessage(uxContentStatus, "Invalid content ID ", Message.DisplayModes.Error);
                return;
            }
            uxContID.Text = "Content ID : " + cData.Id;
            uxContentTitle.Text = "Content Title : " + cData.Title;
            uxContentLanguage.Text = "ContentLanguage Id : " + cData.LanguageId;

            if (cData.MetaData != null)
            {
                List<Ektron.Cms.ContentMetaData> metaList = cData.MetaData.ToList();
                Ektron.Cms.ContentMetaData meta = metaList.Find(m => m.Name == "google js");
                uxMetaValue.Text = "google js  Value: " + meta.Text;
            }


            //uxPageMultiView.SetActiveView(uxViewMessage);
        }
        catch (Exception ex)
        {
            uxMessage.Text = ex.Message + Message.DisplayModes.Error;
            //MessageUtilities.UpdateMessage(uxMessage, ex.Message, Message.DisplayModes.Error);
            //uxPageMultiView.SetActiveView(uxViewMessage);
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ol class="formFields">
                <li class="clearfix">
                    <ektronUI:Label ID="uxContentIdLabel" AssociatedControlID="uxContentId" CssClass="span-3 last" runat="server" Text="* Content Id:" />
                    <ektronUI:TextField ID="uxContentId" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" Text="30" />
                </li>
                <li class="clearfix">
                    <ektronUI:Label ID="uxContentStatus" Visible="false" CssClass="span-3 last" runat="server" Text="Status:" />
                </li>
                <li class="clearfix">
                    <ektronUI:Label ID="uxInPreviewModeLabel" AssociatedControlID="uxInPreviewMode" CssClass="span-4 last"
                        runat="server" Text=" InPreviewMode :" />
                    <asp:CheckBox ID="uxInPreviewMode" runat="server" Checked="false" />
                </li>
                <li class="clearfix">
                    <ektronUI:Button ID="uxSubmit" runat="server" OnClick="uxSubmit_Click" Text="GetDetails"></ektronUI:Button>
                    <ektronUI:Label ID="uxRequiredLabel" CssClass="span-4" runat="server" Text="* - Required" />
                </li>
            </ol>

            <ol class="formFields">
                <li class="clearfix">
                    <asp:Literal ID="uxMessage" runat="server"></asp:Literal>
                </li>
                <li class="clearfix">
                    <asp:Literal ID="uxContID" runat="server"></asp:Literal>
                </li>
                <li class="clearfix">
                    <asp:Literal ID="uxContentTitle" runat="server"></asp:Literal>
                </li>
                <li class="clearfix">
                    <asp:Literal ID="uxContentLanguage" runat="server"></asp:Literal>
                </li>
                <li class="clearfix">
                    <asp:Literal ID="uxMetaValue" runat="server"></asp:Literal>
                </li>
            </ol>
        </div>
    </form>
</body>
</html>
